Bug 110150 - [CI][SHARDS] igt@sw_sync@sync_busy_fork_unixsocket - fail - Failed assertion: sendmsg(socket, &msg, 0) == 0
Summary: [CI][SHARDS] igt@sw_sync@sync_busy_fork_unixsocket - fail - Failed assertion:...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: DRI git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-18 06:34 UTC by Lakshmi
Modified: 2019-04-04 13:19 UTC (History)
1 user (show)

See Also:
i915 platform: ALL
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Lakshmi 2019-03-18 06:34:58 UTC
This failure is occurring in all the machines.

https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-apl1/igt@sw_sync@sync_busy_fork_unixsocket.html

Starting subtest: sync_busy_fork_unixsocket
(sw_sync:1545) CRITICAL: Test assertion failure function test_sync_busy_fork_unixsocket, file ../tests/sw_sync.c:236:
(sw_sync:1545) CRITICAL: Failed assertion: sendmsg(socket, &msg, 0) == 0
(sw_sync:1545) CRITICAL: Last errno: 2, No such file or directory
(sw_sync:1546) CRITICAL: Test assertion failure function test_sync_busy_fork_unixsocket, file ../tests/sw_sync.c:200:
(sw_sync:1546) CRITICAL: Failed assertion: recvmsg(socket, &msg, 0) == 0
(sw_sync:1546) CRITICAL: Last errno: 2, No such file or directory
Subtest sync_busy_fork_unixsocket failed.
Comment 1 CI Bug Log 2019-03-18 06:35:53 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* ALL machines: igt@sw_sync@sync_busy_fork_unixsocket - fail - Failed assertion: sendmsg(socket, &msg, 0) == 0
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-apl1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-glk2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-hsw5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-kbl1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-skl3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5757/shard-snb1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-apl6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-glk3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-hsw2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-iclb6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-kbl3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-skl9/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5758/shard-snb7/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-apl4/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-glk9/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-hsw1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-iclb3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-kbl5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-skl10/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5759/shard-snb7/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-apl-guc/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bdw-5557u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bdw-gvtdvm/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bsw-kefka/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bsw-n3050/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bwr-2160/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-bxt-j4205/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-byt-clapper/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-byt-j1900/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-byt-n2820/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-cfl-8109u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-cfl-guc/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-elk-e7500/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-gdg-551/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-hsw-4770/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-hsw-4770r/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-icl-u2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-ilk-650/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-ivb-3770/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7500u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7560u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-7567u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-8809g/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-guc/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-r/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-kbl-x1275/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6260u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6600u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6700k2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-6770hq/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-guc/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-gvtdvm/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-skl-lmem/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-snb-2520m/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-snb-2600/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/drmtip_245/fi-whl-u/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-apl6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-glk9/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-hsw3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-kbl4/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5760/shard-snb7/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-apl6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-glk3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-hsw3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-kbl3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-skl2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5761/shard-snb6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3979/shard-apl5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3979/shard-glk5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3979/shard-hsw8/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3979/shard-kbl3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3979/shard-snb4/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-apl8/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-glk2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-hsw6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-kbl4/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-skl10/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12493/shard-snb1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12494/shard-apl3/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12494/shard-glk8/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12494/shard-hsw1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12494/shard-kbl7/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Patchwork_12494/shard-snb2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-apl2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-glk6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-hsw5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-kbl6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-skl1/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/Trybot_3981/shard-snb4/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-apl6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-glk2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-hsw7/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-kbl2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5762/shard-snb6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-apl2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-glk6/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-hsw2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-kbl2/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-skl5/igt@sw_sync@sync_busy_fork_unixsocket.html
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5763/shard-snb7/igt@sw_sync@sync_busy_fork_unixsocket.html
Comment 2 Chris Wilson 2019-03-18 14:47:36 UTC
Fix en route, stuck on gitlab not accepting pushes atm.

https://patchwork.freedesktop.org/series/58117/
Comment 3 Chris Wilson 2019-03-19 09:41:15 UTC
commit 4158a4bf3b04c6485d7598bab16a844726382129
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Mon Mar 18 08:11:19 2019 +0000

    tests/sw_sync: Accept bytes transferred between sendmsg/recvmsg
    
    sendmsg/recvmsg return the number of bytes transferred, not just an
    error code.
    
    Fixes: 520b6f7fbb6c ("sw_sync: Wait until the end")
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110150
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Petri Latvala <petri.latvala@intel.com>
Comment 4 Martin Peres 2019-04-04 13:19:38 UTC
(In reply to Chris Wilson from comment #3)
> commit 4158a4bf3b04c6485d7598bab16a844726382129
> Author: Chris Wilson <chris@chris-wilson.co.uk>
> Date:   Mon Mar 18 08:11:19 2019 +0000
> 
>     tests/sw_sync: Accept bytes transferred between sendmsg/recvmsg
>     
>     sendmsg/recvmsg return the number of bytes transferred, not just an
>     error code.
>     
>     Fixes: 520b6f7fbb6c ("sw_sync: Wait until the end")
>     Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110150
>     Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
>     Reviewed-by: Petri Latvala <petri.latvala@intel.com>

Thanks, it definitely fixed it!
Comment 5 CI Bug Log 2019-04-04 13:19:44 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.